{"openapi":"3.0.0","info":{"title":"A+ Payments API","description":"The Payment API document describes the payment-related operations.","version":"1.0.0"},"servers":[{"url":"http://openapi.alipaypluswallet.com:8000/","description":"A+ OpenAPI endpoint."}],"tags":[{"name":"Payments","description":""}],"paths":{"/v1/payments/pay":{"post":{"tags":["Payments"],"summary":"Payment","description":"The pay API is used to initiate a payment request to wallets, this is the standard payment interface of A+ system. The wallet platform distinguishes different payment scenarios through different product codes. The merchant only need to pass the product code defined by the wallet platform. There are these scenarios to support, the possible values are: <br><br> - CASHIER_PAYMENT: The user completes the payment through the standard cashier page. <br> - RETAIL_PAYMENT: The wallet platform will generate a payment QR code information for the user. This information is displayed on the user's wallet app, and the merchant can automatically complete the payment operation after scanning the QR code with a code-scanning device. <br> - AGREEMENT_PAYMENT: The user, the merchant, and the wallet platform will sign an agreement contract. When the user trades goods on the merchant platform, the merchant is allowed to directly send the agreement code to complete the agreement payment.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayRequest"}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the orderId(paymentId) from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"},"description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program."},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"},"description":"Specifies the time when a result is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00"},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request."},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"},"description":"The A+ traceId."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayResponse"}}}}}}},"/v1/payments/retailPay":{"post":{"tags":["Payments"],"summary":"Retail pay","description":"The retail pay API is used to initiate a retail payment request to wallets. The wallet platform will generate a payment QR code information for the user. This information is displayed on the user's wallet app, and the merchant can automatically complete the payment operation after scanning the QR code with a code-scanning device.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetailPayRequest"}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the orderId(paymentId) from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"},"description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program."},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"},"description":"Specifies the time when a result is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00"},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request."},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"},"description":"The A+ traceId."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetailPayResponse"}}}}}}},"/v1/payments/inquiryPayment":{"post":{"tags":["Payments"],"summary":"Inquiry payment","description":"The inquiry payment API is used to inquire the payment result. Usually merchants will invoke this interface when they haven't received the payment result for a long time.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InquiryPaymentRequest"}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the orderId(paymentId) & paymentStatus from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"},"description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program."},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"},"description":"Specifies the time when a result is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00"},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request."},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"},"description":"The A+ traceId."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InquiryPaymentResponse"}}}}}}},"/v1/payments/syncRefund":{"post":{"tags":["Payments"],"summary":"Refund","description":"This interface is a synchronization interface, the refund result will be polled within 3 seconds. <br> If the refund final result is succeeds/fails, the refund's final result is directly returned. <br> If the refund final result isn't return within 3 seconds, it will return to processing.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefundRequest"}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the refund orderId(refundId) from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"},"description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program."},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"},"description":"Specifies the time when a result is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00"},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request."},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"},"description":"The A+ traceId."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefundResponse"}}}}}}},"/v1/payments/refundApply":{"post":{"tags":["Payments"],"summary":"Refund apply","description":"This interface is asynchronization interface, the final refund status will not directly return, <br> it only returns the acceptance result. If the merchant needs to obtain the refund result later, <br> it needs to call the refund query interface to obtain the refund result.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefundRequest"}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the refund orderId(refundId) from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"},"description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program."},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"},"description":"Specifies the time when a result is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00"},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request."},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"},"description":"The A+ traceId."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefundApplyResponse"}}}}}}},"/v1/payments/inquiryRefund":{"post":{"tags":["Payments"],"summary":"Inquiry refund","description":"The inquiry refund API is used to inquire about the final refund result, usually when merchants are not able to receive the refund result after a long period of time.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InquiryRefundRequest"}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the refund orderId(refundId) & refundStatus from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"},"description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program."},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"},"description":"Specifies the time when a result is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00"},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request."},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"},"description":"The A+ traceId."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InquiryRefundResponse"}}}}}}},"/v1/payments/cancel":{"post":{"tags":["Payments"],"summary":"Cancel","description":"The cancel API is used to initiate a cancel request to wallets, Usually, it's called when the merchant needs to cancel the transaction.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelRequest"}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the refund orderId(paymentId) & cancelTime from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"},"description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program."},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"},"description":"Specifies the time when a result is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00"},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request."},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"},"description":"The A+ traceId."}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelResponse"}}}}}}},"/v1/payments/createQrOrder":{"post":{"tags":["Payments"],"summary":"Create Qr order.","description":"It is used to create order for Merchant Presented Dynamic QR scenario. It including 2 steps:<br> 1. Create order.<br> 2. Generate QR code with order information if creating order successfully.<br> Merchant will get a QR code with order information in the end.","parameters":[{"$ref":"#/components/parameters/clientId"},{"$ref":"#/components/parameters/requestTime"},{"$ref":"#/components/parameters/agentToken"},{"$ref":"#/components/parameters/signature"}],"requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/SupergwMessage"}]}}}},"responses":{"200":{"description":"This is the result returned by the standard payment interface; <br> if result.resultStatus == S, we will fetch the qrOrder &merchantTransId from the result data. <br> if result.resultStatus != S, we will fetch the resultCode & resultMessage from the result data.","headers":{"Client-Id":{"schema":{"type":"string","example":"5X00000000000000"}},"Response-Time":{"schema":{"type":"string","format":"date-time","example":"2022-12-12T12:12:12+08:00"}},"Signature":{"schema":{"type":"string","example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"}},"Trace-Id":{"schema":{"type":"string","example":"0ba604b41558615600801371953814"}}},"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/SupergwMessage1"}]}}}}}}}},"components":{"schemas":{"PayRequest":{"type":"object","required":["paymentRequestId","productCode","paymentAmount","order"],"properties":{"productCode":{"type":"string","description":"Defined by the wallet platform, different payment scenarios of the wallet platform have different contract information. The wallet platform uses the product code to distinguish different payment scenarios, and the productCode is the unique identification of the payment scenario.","maxLength":32,"example":"51051000100000000001"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"paymentAuthCode":{"type":"string","description":"The parameter is required in the agreement pay and the retail pay scene. <br> - RETAIL_PAYMENT: Generated by the wallet platform, it contains the user's payment QR code information. This information is displayed on the user's wallet app, and the merchant can automatically complete the payment operation after scanning the QR code with a code-scanning device. <br> - AGREEMENT_PAYMENT: In the payment scenario, the request parameter is the accessToken corresponding to the oauth process.","maxLength":128,"example":"281012020262496737026083"},"paymentAmount":{"$ref":"#/components/schemas/Amount"},"paymentExpiryTime":{"type":"string","description":"Defined by merchants, which follows the ISO 8601 standard, if the user doesn't complete the payment within the specified time, the payment order will be closed, and the payment order is not allowed to continue payment. <br> If this parameter is not passed, the payment expiry time will use the configuration in the contract signed by the merchant. <br> if this parameter is passed, the payment expiry time will use the passed parameter.","example":"2022-12-09T13:51:14.462+08:00"},"paymentNotifyUrl":{"type":"string","description":"Defined by the merchant, the payment result notification address. When the payment result is success or the payment order is closed, the wallet platform will use this URL to notify the payment result to the merchant. Whether to notify is determined by the contract signed by the merchant.","maxLength":1024,"example":"http://alipayplusmerchant.com/api/v1/payments/paymentNotify.htm"},"paymentRedirectUrl":{"type":"string","description":"Defined by the merchant, the payment redirect URL. when the user finishes payment, the wallet app will redirect to the merchant app by using this URL.","maxLength":1024,"example":"http://alipayplusmerchant.com/api/v1/payments/paymentRedirect.htm"},"order":{"$ref":"#/components/schemas/Order"},"extendInfo":{"type":"string","description":"The extensive information. The merchant can put extensive information in this property. The format should be JSON format.","maxLength":2048,"example":"{\"cardNo\":\"100200\",\"operator\":\"jack\"}"}}},"PayResponse":{"type":"object","required":["result"],"properties":{"result":{"allOf":[{"$ref":"#/components/schemas/ApiResult"}],"description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` |  Success.<br> `PARAM_ILLEGAL | F` |  The request param is illegal.<br> `UNKNOWN_EXCEPTION | U`  |  Failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br> `PAYMENT_AMOUNT_EXCEED_LIMIT | F` |  Payment amount exceeds limits.<br> `PROCESS_FAIL | F` |  Process is failure.<br> `USER_NOT_EXIST | F` |  User not exist.<br> `USER_STATUS_ABNORMAL | F` |  The user status is abnormal.<br> `USER_BALANCE_NOT_ENOUGH | F` |  User balance is not enough for this payment.<br> `ORDER_STATUS_INVALID | F` |  Order status is invalid.<br> `REPEAT_REQUEST | A | repeat order create request, merchantTransId=xxx. <br> `REPEAT_REQ_INCONSISTENT F` |  | Repeat submit, and requests are inconsistent.<br> `ACCESS_DENIED | F` | Access denied.<br> `RISK_REJECT | F` | Risk reject.<br> `CURRENCY_NOT_SUPPORT | F` | The currency is not supported.<br> `USER_AMOUNT_EXCEED_LIMIT | F | ` | Payment amount exceeds user's amount limit.<br> `PARTNER_NOT_EXIST | F` | Partner status abnormal.<br> `PAYMENT_IN_PROCESS | F` | The payment is still under process.<br> `INVALID_CODE | F` | Auth code illegal.<br> `AUTH_CODE_ALREADY_USED | F` | Auth code already used.<br>"},"paymentId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result.","maxLength":64,"example":"20221124111212800100166473700277756"},"paymentTime":{"type":"string","description":"The payment success time, which follows the ISO 8601 standard.","example":"2022-11-24T18:34:09+08:00"}}},"RetailPayRequest":{"type":"object","required":["productCode","paymentRequestId","paymentAuthCode","paymentAmount","order"],"properties":{"productCode":{"type":"string","description":"Defined by the wallet platform, different payment scenarios of the wallet platform have different contract information. The wallet platform uses the product code to distinguish different payment scenarios, and the productCode is the unique identification of the payment scenario.","maxLength":32,"example":"51051000100000000001"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"paymentAuthCode":{"type":"string","description":"Generated by the wallet platform, it contains the user's payment QR code information. This information is displayed on the user's wallet app, and the merchant can automatically complete the payment operation after scanning the QR code with a code-scanning device. The parameter is required in the agreement pay and the retail pay scene.","maxLength":128,"example":"281012020262496737026083"},"paymentAmount":{"$ref":"#/components/schemas/Amount"},"paymentExpiryTime":{"type":"string","description":"Defined by merchants, which follows the ISO 8601 standard. If the user doesn't complete the payment within the specified time, the payment order will be closed, and the payment order is not allowed to continue payment.","example":"2022-12-09T13:51:14.462+08:00"},"paymentNotifyUrl":{"type":"string","description":"Defined by the merchant, the payment result notification address. When the payment result is success or failure, the wallet platform will use this URL to notify the payment result to the merchant.","maxLength":1024,"example":"http://alipayplusmerchant.com/api/v1/payments/paymentNotify.htm"},"paymentRedirectUrl":{"type":"string","description":"Defined by the merchant, the payment redirect URL. when the user finishes payment, the wallet app will redirect to the merchant app by using this URL.","maxLength":1024,"example":"http://alipayplusmerchant.com/api/v1/payments/paymentRedirect.htm"},"order":{"$ref":"#/components/schemas/RetailPayOrder"},"extendInfo":{"type":"string","maxLength":2048,"description":"The extensive information. The merchant can put extensive information in this property. The format should be JSON format.","example":"{\"cardNo\":\"100200\",\"operator\":\"jack\"}"}}},"RetailPayResponse":{"type":"object","required":["result"],"properties":{"result":{"allOf":[{"$ref":"#/components/schemas/ApiResult"}],"description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` | Success.<br> `PARAM_ILLEGAL | F` | The request param is illegal.<br> `UNKNOWN_EXCEPTION | U` | Failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br> `PAYMENT_AMOUNT_EXCEED_LIMIT | F` | Payment amount exceeds limits.<br> `PROCESS_FAIL | F` | Process is failure.<br> `USER_NOT_EXIST | F` | User not exist.<br> `USER_STATUS_ABNORMAL | F` | The user status is abnormal.<br> `USER_BALANCE_NOT_ENOUGH | F` | User balance is not enough for this payment.<br> `ORDER_STATUS_INVALID | F` | Order status is invalid.<br> `REPEAT_REQ_INCONSISTENT | F` | Repeat submit, and requests are inconsistent.<br> `ACCESS_DENIED | F` | Access denied.<br> `RISK_REJECT | F` | Risk reject.<br> `CURRENCY_NOT_SUPPORT | F` | The currency is not supported.<br> `USER_AMOUNT_EXCEED_LIMIT | F` | Payment amount exceeds user's amount limit.<br> `PARTNER_NOT_EXIST | F` | Partner status abnormal.<br> `PAYMENT_IN_PROCESS | F` | The payment is still under process.<br> `INVALID_CODE | F` | Auth code illegal.<br> `AUTH_CODE_ALREADY_USED | F` | Auth code already used.<br>"},"paymentId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result.","maxLength":64,"example":"20221124111212800100166473700277756"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"paymentTime":{"type":"string","description":"Generated by the wallet platform, the payment success time, which follows the ISO 8601 standard. which follows the ISO 8601 standard.","example":"2022-11-24T18:34:09+08:00"},"paymentAmount":{"$ref":"#/components/schemas/Amount"}}},"InquiryPaymentRequest":{"type":"object","properties":{"paymentId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result. <br> The paymentId and paymentRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original payment order.","maxLength":64,"example":"20221124111212800100166473700277756"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request. <br> The paymentId and paymentRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original payment order.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"}}},"InquiryPaymentResponse":{"type":"object","required":["result"],"properties":{"result":{"allOf":[{"$ref":"#/components/schemas/ApiResult"}],"description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` | Success.<br> `PARAM_ILLEGAL | F` | The request param is illegal.<br> `UNKNOWN_EXCEPTION | U` | Failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br> `ORDER_NOT_EXIST | F` | The order doesn't exist.<br>"},"paymentId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result.","maxLength":64,"example":"20221124111212800100166473700277756"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"paymentAmount":{"$ref":"#/components/schemas/Amount"},"paymentTime":{"type":"string","description":"Generated by the wallet platform, the payment success time, which follows the ISO 8601 standard.","example":"2022-11-24T18:34:09+08:00"},"paymentStatus":{"type":"string","enum":["SUCCESS","AUTH_SUCCESS","PROCESSING","FAIL"],"description":"The result of payment status. <br> - SUCCESS: order is succeeded. <br> - AUTH_SUCCESS: order auth is success. <br> - PROCESSING: order isn't payment. <br> - FAIL: order is failure.","maxLength":64,"example":"SUCCESS"},"transactions":{"type":"array","description":"The payment transaction order information.","items":{"$ref":"#/components/schemas/Transaction"}}}},"RefundRequest":{"type":"object","required":["refundRequestId","refundAmount","refundRequestTime"],"properties":{"paymentId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result. <br> The paymentId and paymentRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original payment order.","maxLength":64,"example":"20221124111212800100166473700277756"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request. <br> The paymentId and paymentRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original payment order.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"refundRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a refund request.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"refundAmount":{"$ref":"#/components/schemas/Amount"},"refundReason":{"type":"string","description":"The refund reason, it's from the merchant side.","maxLength":256,"example":"User refund the goods."},"payoutAccountNo":{"type":"string","description":"This is an asset account for refunds, merchants can designate a refund funding account.","maxLength":20,"example":"82128001101612128001"},"extendInfo":{"type":"string","description":"The extensive information. The merchant can put extensive information in this property. The format should be JSON format.","maxLength":2048,"example":"{\"k\":\"214976960779802362679499\"}"}}},"RefundResponse":{"type":"object","required":["result"],"properties":{"result":{"allOf":[{"$ref":"#/components/schemas/ApiResult"}],"description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` | Success.<br> `PARAM_ILLEGAL | F` | The request param is illegal.<br> `UNKNOWN_EXCEPTION | U` | Failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br> `PROCESS_FAIL | F` | Process is failure.<br> `ORDER_STATUS_INVALID | F` | Order status is invalid.<br> `ORDER_NOT_EXIST | F` | The order doesn't exist.<br> `PARTNER_NOT_EXIST | F` | Partner status abnormal.<br> `REFUND_AMOUNT_EXCEED | F` | The total refund amount has exceed the payment amount.<br> `REFUND_WINDOW_EXCEED | F` | Exceed Refund window.<br> `REPEAT_REQ_INCONSISTENT | F` | Repeat submit, and requests are inconsistent.<br>"},"refundId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a refund order result.","maxLength":64,"example":"20221124111212800100166473700277756"},"refundTime":{"type":"string","description":"The refund time, which follows the ISO 8601 standard.","example":"2022-11-24T18:34:09+08:00"}}},"RefundApplyResponse":{"type":"object","required":["result"],"properties":{"result":{"allOf":[{"$ref":"#/components/schemas/ApiResult"}],"description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` | Success.<br> `PARAM_ILLEGAL | F` | The request param is illegal.<br> `UNKNOWN_EXCEPTION | U` | Failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br> `PROCESS_FAIL | F` | Process is failure.<br> `ORDER_STATUS_INVALID | F` | Order status is invalid.<br> `ORDER_NOT_EXIST | F` | The order doesn't exist.<br> `PARTNER_NOT_EXIST | F` | Partner status abnormal.<br> `REFUND_AMOUNT_EXCEED | F` | The total refund amount has exceed the payment amount.<br> `REFUND_WINDOW_EXCEED | F` | Exceed Refund window.<br> `REPEAT_REQ_INCONSISTENT | F` | Repeat submit, and requests are inconsistent.<br>"},"refundId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a refund order result.","maxLength":64,"example":"20221124111212800100166473700277756"}}},"InquiryRefundRequest":{"type":"object","properties":{"refundId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a refund order result.<br> The refundId and refundRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original refund order.","maxLength":64,"example":"20221124111212800100166473700277756"},"refundRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a refund request. <br> The refundId and refundRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original refund order.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"}}},"InquiryRefundResponse":{"type":"object","required":["result"],"properties":{"result":{"allOf":[{"$ref":"#/components/schemas/ApiResult"}],"description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` | Success.<br> `PARAM_ILLEGAL | F` | The request param is illegal.<br> `UNKNOWN_EXCEPTION | U` | Failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br> `REFUND_NOT_EXIST | F` | Refund is not exist.<br>"},"refundId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a refund order result.","maxLength":64,"example":"20221124111212800100166473700277756"},"refundRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a refund request.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"refundAmount":{"$ref":"#/components/schemas/Amount"},"refundReason":{"type":"string","description":"The refund reason, it's from the merchant side.","maxLength":256,"example":"User refund the goods."},"refundStatus":{"type":"string","enum":["SUCCESS","FAILED","PROCESSING"],"description":"The refund status. <br> - SUCCESS, The refund status is success, the order status is final status, and the refund funds are transferred from the inner account to the user's account. <br> - FAILED, The refund status is failure, the order status is final status. - PROCESSING, The refund status is processing, the order status isn't final status.","example":"SUCCESS"},"refundFailReason":{"type":"string","description":"Refund fail reason","maxLength":256,"example":"Lack of money"}}},"CancelRequest":{"type":"object","properties":{"paymentId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result. <br> The paymentId and paymentRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original payment order.","maxLength":64,"example":"20221124111212800100166473700277756"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request. <br> The paymentId and paymentRequestId cannot be empty at the same time, <br> because the wallet platform needs to query the original payment order.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"},"extendInfo":{"type":"string","description":"The extensive information. The merchant can put extensive information in this property.The format should be JSON format.","maxLength":2048,"example":"{\"k\":\"214976960779802362679499\"}"}}},"CancelResponse":{"type":"object","required":["result"],"properties":{"result":{"allOf":[{"$ref":"#/components/schemas/ApiResult"}],"description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` | Success.<br> `PARAM_ILLEGAL | F` | The request param is illegal.<br> `UNKNOWN_EXCEPTION | U` | Failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br> `ORDER_NOT_EXIST | F` | The order doesn't exist.<br> `PROCESS_FAIL | F` | The process is failure.<br>"},"cancelTime":{"type":"string","description":"Cancel time, which follows the ISO 8601 standard.","example":"2022-11-24T19:04:30+08:00"},"paymentId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result.","maxLength":64,"example":"20221124111212800100166473700277756"},"paymentRequestId":{"type":"string","description":"Defined by merchants, the unique ID of a payment request.","maxLength":64,"example":"rrIX-vONE-HiNM-QLMJ-emWN-sFlC-JX"}}},"SupergwMessage1":{"type":"object","description":"The (resultCode | resultStatus | resultMessage) mapping as follows: <br> `SUCCESS | S` | Success.<br> `PARAM_ILLEGAL` | `F` | Illegal parameters. For example, non-numeric input, invalid date.<br> `REPEAT_REQ_INCONSISTENT` | `F` | repeat order create request, but the localParticipantId of one participant is not consistent.<br> `UNKNOWN_EXCEPTION` | `U` | API failed due to unknown reason.<br> `KEY_NOT_FOUND` | `F` | Key is not found.<br> `NO_INTERFACE_DEF` | `F` | API is not defined.<br> `INVALID_API` | `F` | API is invalid.<br> `MSG_PARSE_ERROR` | `F` | Message parsed error.<br> `OAUTH_FAILED` | `F` | oAuth authentication failed.<br> `FUNCTION_NOT_MATCH` | `F` | Function parameter does not match API.<br> `VERIFY_CLIENT_SECRET_FAIL` | `F` | ClientSecret verification failed.<br> `ACCESS_DENIED` | `F` | Access denied.<br> `INVALID_CLIENT` | `F` | Invalid client.<br> `INVALID_SIGNATURE` | `F` | Signature is invalid.<br> `INVALID_CLIENT_STATUS` | `F` | Invalid client status.<br> `ACCESS_TOKEN_NOT_EXIST` | `F` | access token not exist.<br> `ACCESS_TOKEN_EXPIRY` | `F` | access token expiry.<br> `AUTHORIZATION_EXPIRY` | `F` | authorization expiry, will be reflected in refresh token expiry.<br> `REQUEST_TRAFFIC_EXCEED_LIMIT` | `U` | Request traffic exceed limit.<br>","required":["qrCode","merchantTransId","acquirementId","result"],"properties":{"result":{"required":["resultCode","resultStatus","resultMsg"],"properties":{"resultCode":{"type":"string","description":"The result code.","maxLength":64,"default":"SUCCESS"},"resultStatus":{"type":"string","description":"The result status: 'S'-'Success','F'-'Failure','U'-'Unknown Exception'.","maxLength":2,"default":"S"},"resultMsg":{"type":"string","description":"The result message.","maxLength":256,"default":"Success"}}},"acquirementId":{"type":"string","description":"Acquirement id.","maxLength":64,"example":"20230329111212800110166591900205902"},"qrCode":{"type":"string","description":"QR code generated by A+ core.","maxLength":64,"example":"281012052022032907849153"},"merchantTransId":{"type":"string","description":"The transaction Id of merchant side.","maxLength":64,"example":"20000000000086060514"}}},"SupergwMessage":{"type":"object","required":["bizType","productCode","codeType","order"],"properties":{"bizType":{"type":"string","description":"The business type of QR code. For Merchant Presented Dynamic QR scenario, need to pass ORDER_CODE.","enum":["ORDER_CODE"],"maxLength":16,"example":"ORDER_CODE"},"productCode":{"type":"string","description":"Product code.","maxLength":32,"example":"51051000101000100048"},"codeType":{"type":"string","description":"QR code's protocol. It is only supporting CGCP and EMVCo for now, it's decided by business requirement about which type to be used.","maxLength":16,"enum":["CGCP","EMVCo"],"example":"CGCP"},"order":{"description":"The detail of Order.","$ref":"#/components/schemas/Order1"}}},"Order1":{"type":"object","required":["orderAmount","orderTitle","merchantTransId"],"properties":{"merchantTransId":{"type":"string","description":"The transaction Id of merchant side.","maxLength":64,"example":"4437530662904763"},"orderTitle":{"type":"string","maxLength":256,"description":"Order title.","example":"order title"},"orderAmount":{"type":"object","required":["currency","value"],"additionalProperties":{"type":"object"},"description":"Order amount.","properties":{"currency":{"type":"string","description":"currency.","maxLength":3,"example":"ZAR"},"value":{"type":"string","description":"value.","maxLength":16,"example":"400"}},"example":{"currency":"ZAR","value":"400"}}}},"Order":{"type":"object","required":["orderDescription"],"properties":{"orderDescription":{"type":"string","description":"Defined by merchants, the order description information, it will display on the cashier page.","maxLength":256,"example":"taxi details"},"buyer":{"$ref":"#/components/schemas/Buyer"},"merchant":{"$ref":"#/components/schemas/Merchant"},"env":{"$ref":"#/components/schemas/Env"},"shipping":{"$ref":"#/components/schemas/Shipping"},"goods":{"type":"array","description":"Defined by merchants, the merchant goods list information.","items":{"$ref":"#/components/schemas/Goods"}}}},"RetailPayOrder":{"type":"object","required":["orderDescription","merchant","env"],"properties":{"orderDescription":{"type":"string","description":"Defined by merchants, the order description information, it will display on the cashier page.","maxLength":256,"example":"taxi details"},"buyer":{"$ref":"#/components/schemas/Buyer"},"merchant":{"$ref":"#/components/schemas/RetailPayMerchant"},"env":{"$ref":"#/components/schemas/RetailPayEnv"},"shipping":{"$ref":"#/components/schemas/Shipping"},"goods":{"type":"array","description":"Defined by merchants, the merchant goods list information.","items":{"$ref":"#/components/schemas/Goods"}}}},"Buyer":{"type":"object","properties":{"referenceBuyerId":{"type":"string","description":"The unique identification of the user in the wallet platform.","maxLength":64,"example":"216620000000845077549"},"buyerName":{"$ref":"#/components/schemas/UserName"}}},"UserName":{"type":"object","required":["firstName","lastName"],"properties":{"firstName":{"type":"string","description":"The user's first name.","maxLength":32,"example":"Li"},"lastName":{"type":"string","description":"The user's last name.","maxLength":32,"example":"Lucas"}}},"Merchant":{"type":"object","required":["merchantMCC"],"properties":{"merchantMCC":{"type":"string","description":"Merchant category code.","maxLength":32,"example":"1405"},"merchantName":{"type":"string","description":"The name of merchant.","maxLength":256,"example":"UGG Technology Limited"},"store":{"$ref":"#/components/schemas/Store"}}},"RetailPayMerchant":{"type":"object","required":["merchantMCC","store"],"properties":{"merchantMCC":{"type":"string","description":"Merchant category code.","maxLength":32,"example":"1405"},"merchantName":{"type":"string","description":"The name of merchant.","maxLength":256,"example":"UGG Technology Limited"},"store":{"$ref":"#/components/schemas/RetailPayStore"}}},"Store":{"type":"object","properties":{"referenceStoreId":{"type":"string","description":"The shop id information, it's the unique id in the wallet platform. cannot be empty. The referenceStoreId and externalStoreId cannot be empty at the same time in retail pay scene.","maxLength":32,"example":"216620000000845077549"},"externalStoreId":{"type":"string","description":"The external shop id information, non-wallet platform, it is the unique id of the merchant system. The referenceStoreId and externalStoreId cannot be empty at the same time in retail pay scene.","maxLength":32,"example":"816620000000845077549"}}},"RetailPayStore":{"type":"object","properties":{"referenceStoreId":{"type":"string","description":"The shop id information, it's the unique id in the wallet platform. <br> The referenceStoreId and externalStoreId cannot be empty at the same time, <br> because the wallet platform needs to query the shop information.","maxLength":32,"example":"216620000000845077549"},"externalStoreId":{"type":"string","description":"The external shop id information, non-wallet platform, it is the unique id of the merchant system. The referenceStoreId and externalStoreId cannot be empty at the same time, <br> because the wallet platform needs to query the shop information.","maxLength":32,"example":"816620000000845077549"}}},"Env":{"type":"object","properties":{"terminalType":{"type":"string","example":"SYSTEM","enum":["MINI_APP","APP","WEB","WAP","SYSTEM"],"description":"The terminal type of this request. <br> - MINI_APP: The mini app. <br> - APP: The  app. <br> - WEB: The website. <br> - WAP: The wap. <br> - SYSTEM: The system. <br>"},"osType":{"type":"string","example":"IOS","enum":["IOS","ANDROID"],"description":"The operating system. <br> - IOS: IOS. <br> - ANDROID: ANDROID. "},"clientIp":{"type":"string","description":"IP address of the client device.","maxLength":128,"example":"10.1.11.1"},"deviceTokenId":{"type":"string","description":"Token ID of the device","maxLength":128,"example":"1e4xxx34e3"},"storeTerminalId":{"type":"string","maxLength":2048,"description":"The device terminal id.","example":"e4x3-e3"}}},"RetailPayEnv":{"type":"object","required":["clientIp","storeTerminalId"],"properties":{"terminalType":{"type":"string","example":"SYSTEM","enum":["SYSTEM"],"description":"The terminal type of this request. <br> - SYSTEM: The system. <br>"},"osType":{"type":"string","example":"IOS","enum":["IOS","ANDROID"],"description":"The operating system. <br> - IOS: IOS. <br> - ANDROID: ANDROID. "},"clientIp":{"type":"string","description":"IP address of the client device.","maxLength":128,"example":"10.1.11.1"},"deviceTokenId":{"type":"string","description":"Token ID of the device","maxLength":128,"example":"1e4xxx34e3"},"storeTerminalId":{"type":"string","maxLength":2048,"description":"The device terminal id.","example":"e4x3-e3"}}},"Shipping":{"type":"object","required":["shippingId","shippingName","shippingAddress"],"properties":{"shippingId":{"type":"string","description":"The shipping id information.","maxLength":64,"example":"845077549222"},"shippingName":{"$ref":"#/components/schemas/UserName"},"shippingAddress":{"$ref":"#/components/schemas/Address"},"shippingCarrier":{"type":"string","description":"The shipping carrier information.","maxLength":128,"example":"UPS"},"shippingPhoneNo":{"type":"string","description":"The shipping phone number information.","maxLength":16,"example":"13800000000"},"shippingFee":{"$ref":"#/components/schemas/Amount"}}},"Address":{"type":"object","required":["country","state","city","address1","zipCode"],"properties":{"country":{"type":"string","description":"The country info.","maxLength":32,"example":"CHN"},"state":{"type":"string","description":"The state info.","maxLength":8,"example":"shanghai"},"city":{"type":"string","description":"The city info.","maxLength":32,"example":"shanghai"},"region":{"type":"string","description":"The region info.","maxLength":2,"example":"pd"},"address1":{"type":"string","description":"The address details.","maxLength":256,"example":"zhangjiang"},"address2":{"type":"string","description":"The address details.","maxLength":256,"example":"JianZhong Road"},"label":{"type":"string","description":"The label info.","maxLength":64,"example":"The fragile goods."},"zipCode":{"type":"string","description":"The zip code of city.","maxLength":32,"example":"200120"}}},"Amount":{"required":["currency","value"],"type":"object","properties":{"currency":{"type":"string","description":"The currency code of the amount. The value of this parameter must be an alphabetic code that follows the '[ISO-4217](https://www.iso.org/iso-4217-currency-codes.html)' standard, for example, 'USD' for United States Dollar, 'ZAR' for South African Rand.","maxLength":3,"example":"ZAR"},"value":{"type":"string","description":"The value of the amount as a natural number.<br> By default, the value of this parameter is in the smallest currency unit.<br> For example, if the currency is USD and the amount is $1.00, set the value of this parameter to 100;<br> Or if the currency is JPY and the amount is ￥1, set the value of this parameter to 1.","maxLength":16,"example":"123450"}}},"Goods":{"type":"object","required":["referenceGoodsId","goodsName"],"properties":{"referenceGoodsId":{"type":"string","description":"The goods id information.","maxLength":64,"example":"212320000000845077549"},"goodsName":{"type":"string","description":"The goods name information.","maxLength":256,"example":"adisas"},"goodsCategory":{"type":"string","description":"The goods category information.","maxLength":256,"example":"shoe"},"goodsUnitAmount":{"$ref":"#/components/schemas/Amount"},"goodsQuantity":{"type":"string","description":"The goods quantity.","maxLength":32,"example":"1"},"goodsUrl":{"type":"string","description":"The goods picture link.","maxLength":2048,"example":"http://alipayplusmerchant.com/shoe.jpg"},"extendInfo":{"type":"string","description":"The extensive information. The merchant can put extensive information in this property. The format should be JSON format.","maxLength":2048,"example":"{\"operator\":\"jack\"}"}}},"Transaction":{"type":"object","properties":{"transactionId":{"type":"string","description":"Generated by the wallet platform, the unique ID of a payment order result.","maxLength":64,"example":"20221124111212800100166473700277756"},"transactionType":{"type":"string","enum":["PAYMENT"],"description":"The transtion type. <br> - PAYMENT: payment. <br>","maxLength":64,"example":"PAYMENT"},"transactionStatus":{"type":"string","enum":["SUCCESS","FAIL"],"description":"The result of payment status. <br> - SUCCESS: order is succeeded. <br> - FAIL: order is failed. <br>"},"transactionAmount":{"$ref":"#/components/schemas/Amount"},"transactionTime":{"type":"string","description":"The payment time, which follows the ISO 8601 standard","example":"2022-12-09T13:51:14.462+08:00"}}},"NotificationUrl":{"type":"object","properties":{"url":{"type":"string","description":"The url that used to notify.","maxLength":64,"example":"http://alipaypluswallet.comt/"},"type":{"type":"string","description":"The notification type.","enum":["PAY_RETURN","NOTIFICATION","VOID_NOTIFY"],"maxLength":64,"example":"NOTIFICATION"}}},"ShopInfo":{"type":"object","properties":{"shopId":{"type":"string","example":"216660000001182824975"},"operatorId":{"type":"string","example":"4567"}}},"ApiResult":{"properties":{"resultCode":{"type":"string","description":"The result Code.","maxLength":64,"default":"SUCCESS"},"resultStatus":{"type":"string","description":"The result status: 'S'-'Success','F'-'Failure','U'-'Unknown Exception'.","maxLength":2,"default":"S"},"resultMessage":{"type":"string","description":"The result message.","maxLength":256,"default":"Success"}}}},"parameters":{"clientId":{"schema":{"type":"string"},"in":"header","name":"Client-Id","description":"Provided by Wallet, used to identify partner and application system. In Mini-Program scenario it is the unique identifier allocated for Mini-Program, if the caller is ISV, it is the unique identifier of one of ISV's Mini-Program and if the caller is merchant, it is the unique identifier of one of its Mini-Program.","required":true,"example":"2022091495540562874792"},"requestTime":{"schema":{"type":"string","format":"date-time"},"in":"header","name":"Request-Time","description":"Specifies the time when a request is sent, as defined by RFC3339. Note: This field must be accurate to milliseconds. For example, 2022-12-12T12:12:12+08:00","required":true,"example":"2022-12-12T12:12:12+08:00"},"signature":{"schema":{"type":"string"},"in":"header","name":"Signature","description":"Signature contains key-value pairs that are separated by commas(,).<br> Each key-value pair is an equation, which is a key joined with its value by an equal sign(=).<br> The following keys are required:<br> `algorithm`: Specifies the digital signature algorithm that is used to generate the signature. The value is case-insensitive. By default, RSA256 is used.<br> `keyVersion`: Specifies the key version that is used to generate or validate the signature. By default, the value is the latest version of the key associated with Client-Id.<br> `signature`: Contains the signature value of the request.","required":true,"example":"algorithm=RSA256, keyVersion=0, signature=p9T2hXxIjek0UOLw3fwlthNsV6ATaioIvu8X1uFx8a9tE87d2XEhqylnf0KjifJ3WhCoMokl GwwlDS3tsSenwnL0Ha6BsXbJvUHRC5qcVlNy5Oq%2FpNqx2%2BKdwbw4eY7tZBDQhMKoaMVSbqbCb3eRBX sw9ZwOO%2FFCyq1zICzllOd4pbhpvES3gcw2X%2B0Ye4hQJBghcLCJxCizSv9lMyTmV%2BYA39B9gRouha N0dM2aeAXMlVJAWtJdcL%2Bdub%2F3LrzxBnY%2B8IZ06tDOIKx7ukNvopYuhclRRtn2ls9xd%2F%2FlAZ Twec0Z21Dq0NfrM9GrKHlzQ6C8WQBW2JuZ7FGPndGqBw%3D%3D"},"agentToken":{"schema":{"type":"string"},"in":"header","name":"Agent-Token","description":"The access token of merchant's application, if it is not empty that means it requests from <br> the merchant corresponding to this Agent-Token and the partner corresponding to partnerId is just agent.","example":""}}}}